- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Attributes | Friends

# QTouchEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 732 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QTouchEvent:
[legend]

List of all members.

## Classes
class | TouchPoint
## Public Types
enum | DeviceType { TouchScreen, TouchPad }
## Public Member Functions
| QTouchEvent (QEvent::Type eventType, QTouchEvent::DeviceType deviceType=TouchScreen, Qt::KeyboardModifiers modifiers=Qt::NoModifier, Qt::TouchPointStates touchPointStates=0, const QList< QTouchEvent::TouchPoint > &touchPoints=QList< QTouchEvent::TouchPoint >())
| ~QTouchEvent ()
QWidget * | widget () const
QTouchEvent::DeviceType | deviceType () const
Qt::TouchPointStates | touchPointStates () const
const QList < QTouchEvent::TouchPoint > & | touchPoints () const
void | setWidget (QWidget *awidget)
void | setDeviceType (DeviceType adeviceType)
void | setTouchPointStates (Qt::TouchPointStates aTouchPointStates)
void | setTouchPoints (const QList< QTouchEvent::TouchPoint > &atouchPoints)
## Protected Attributes
QWidget * | _widget
QTouchEvent::DeviceType | _deviceType
Qt::TouchPointStates | _touchPointStates
QList< QTouchEvent::TouchPoint > | _touchPoints
## Friends
class | QApplication
class | QApplicationPrivate

## Member Enumeration Documentation

enum DeviceType

Search for all occurrences

Enumerator:

  TouchScreen | Search for all occurrences
  TouchPad | Search for all occurrences

Definition at line 796 of file qevent.h.

                        {
            TouchScreen,
            TouchPad
        };

## Constructor & Destructor Documentation

QTouchEvent | ( | QEvent::Type | eventType,
|  | QTouchEvent::DeviceType | deviceType = `TouchScreen`,
|  | Qt::KeyboardModifiers | modifiers = `Qt::NoModifier`,
|  | Qt::TouchPointStates | touchPointStates = `0`,
|  | const QList< QTouchEvent::TouchPoint > & | touchPoints = `QList< QTouchEvent::TouchPoint >()`
| ) |  |

~QTouchEvent | ( |  | ) |

## Member Function Documentation

QWidget* widget | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 808 of file qevent.h.

    { return _widget; }

QTouchEvent::DeviceType deviceType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 809 of file qevent.h.

    { return _deviceType; }

Qt::TouchPointStates touchPointStates | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 810 of file qevent.h.

    { return _touchPointStates; }

const QList<QTouchEvent::TouchPoint>& touchPoints | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 811 of file qevent.h.

    { return _touchPoints; }

void setWidget | ( | QWidget * | awidget | ) | `[inline]`

Search for all occurrences

Definition at line 814 of file qevent.h.

    { _widget = awidget; }

void setDeviceType | ( | DeviceType | adeviceType | ) | `[inline]`

Search for all occurrences

Definition at line 815 of file qevent.h.

    { _deviceType = adeviceType; }

void setTouchPointStates | ( | Qt::TouchPointStates | aTouchPointStates | ) | `[inline]`

Search for all occurrences

Definition at line 816 of file qevent.h.

    { _touchPointStates = aTouchPointStates; }

void setTouchPoints | ( | const QList< QTouchEvent::TouchPoint > & | atouchPoints | ) | `[inline]`

Search for all occurrences

Definition at line 817 of file qevent.h.

    { _touchPoints = atouchPoints; }

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 825 of file qevent.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 826 of file qevent.h.

## Member Data Documentation

QWidget* _widget `[protected]`

Search for all occurrences

Definition at line 820 of file qevent.h.

QTouchEvent::DeviceType _deviceType `[protected]`

Search for all occurrences

Definition at line 821 of file qevent.h.

Qt::TouchPointStates _touchPointStates `[protected]`

Search for all occurrences

Definition at line 822 of file qevent.h.

QList<QTouchEvent::TouchPoint> _touchPoints `[protected]`

Search for all occurrences

Definition at line 823 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent
QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent QTouchEvent